[workspace]
resolver = "2"
members = [
  "apps/gateway",
  "apps/users",
  "apps/photographers",
  "apps/tutors",
  "apps/companies",
  "apps/job_seekers",
  "apps/customers",
  "apps/makeup_artists",
  "apps/developers",
  "apps/video_editors",
  "apps/graphic_designers",
  "apps/social_media_managers",
  "apps/fitness_trainers",
  "apps/catering_services",
  "apps/ugc_content_creators",
  "crates/contracts",
  "crates/db",
  "crates/auth",
  "crates/storage",
  "crates/cache",
  "crates/email",
  "apps/cron",
  "apps/employees",
  "apps/payments",
  "apps/jobs",
  "crates/db-migrate"
]

[workspace.package]
edition = "2021"
license = "Proprietary"
authors = ["NXTGAUGE Team"]

[workspace.dependencies]
anyhow = "1"
axum = "0.8"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
thiserror = "2"
tokio = { version = "1", features = ["full"] }
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter", "fmt"] }
tonic = "0.12"
prost = "0.13"
sqlx = { version = "0.8", features = ["runtime-tokio-rustls", "postgres", "uuid", "chrono", "json"] }
uuid = { version = "1", features = ["serde", "v4"] }
chrono = { version = "0.4", features = ["serde"] }
lettre = { version = "0.11", default-features = false, features = ["tokio1-rustls-tls", "smtp-transport", "builder", "serde"] }
redis  = { version = "0.27", features = ["tokio-comp", "connection-manager"] }
reqwest = { version = "0.12", features = ["json", "rustls-tls"] }
async-trait = "0.1"
bytes = "1"
tower-http = "0.6"
regex = "1"
printpdf = "0.7"
